summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/fast_gettext/Manifest1
-rw-r--r--dev-ruby/fast_gettext/fast_gettext-1.1.2.ebuild57
2 files changed, 58 insertions, 0 deletions
diff --git a/dev-ruby/fast_gettext/Manifest b/dev-ruby/fast_gettext/Manifest
index 1b8ed2a8bd09..9ba19ac62c05 100644
--- a/dev-ruby/fast_gettext/Manifest
+++ b/dev-ruby/fast_gettext/Manifest
@@ -1,3 +1,4 @@
+DIST fast_gettext-1.1.2.tar.gz 86970 BLAKE2B 62df5aa9407fc4c163d38b107be2b3d39adb775a0354026f369863906ce198823343b1c4d68be367992a509ffa228e6c91cde87f0139f391da7d6f93c2cd5d49 SHA512 abeea38e5ed88dd7527f5a273f27db7605a081935c9b3cc25e301cac8683f320d9231ded986390232f6cc95a3acc0d163fa68e136d6fc58bd104e03ae6fe2afe
DIST fast_gettext-1.8.0.tar.gz 89309 BLAKE2B 8ead2922662667c24d07dbc1145002583b1a65edd3cb581ac5bc058560aca38ed083e0470d4834cfdc5abae36f1e8264171b75649343675ab415b28ea2f0e8ab SHA512 0657b5955268166787a32bb74481cd07309018429c21707e061e022d67d5d2448d2d173149f164d16ff5f6c9ffa0feef38369b79daa299e1283fdcdc019ad72e
DIST fast_gettext-2.0.2.tar.gz 92030 BLAKE2B 762f5e5375f29abb6477579aae25c023e7b5db27a41b857523baa3412f8f80f26fc9334ce0937de20cefcf9d845846a362e34540bc5817e9e8ad00c6a7abea8e SHA512 027b35c5d8f93719fbc14cbcd0843f2a0948b49c9cf2fb65e723ba410e6c0c14ce3e42c5ce7abe657946a7da2d20665559b71df1b9855c9a04978946a50beb51
DIST fast_gettext-2.0.3.tar.gz 92262 BLAKE2B ebcbb081e8197e3443c2adc0ec6d1b4c3ebc7ccc8623a857705d893aa5e17af4be367802b5feb313256e337c1f751b74b45fd71f6aa5cb2188d6b71fe52718bb SHA512 b9a51c32a8cec8700cc4dea85862b48196aa87a567c813bfa45ecddcb841afbeeac8b061ef7f95a5f6573d78311bf5504e10adee44547b78ae412080bfb258d1
diff --git a/dev-ruby/fast_gettext/fast_gettext-1.1.2.ebuild b/dev-ruby/fast_gettext/fast_gettext-1.1.2.ebuild
new file mode 100644
index 000000000000..e398213311e4
--- /dev/null
+++ b/dev-ruby/fast_gettext/fast_gettext-1.1.2.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Re-added to support gettext-setup that specifies ~>1.1.0
+
+EAPI=6
+
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG Readme.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="GetText but 3.5x faster, 560x less memory, clean namespace and threadsave!"
+HOMEPAGE="https://github.com/grosser/fast_gettext"
+SRC_URI="https://github.com/grosser/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="amd64 ~arm ~hppa ~ppc ~ppc64 x86"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/bundler )"
+
+all_ruby_prepare() {
+ rm Gemfile.lock || die
+
+ # Remove jeweler and bump from Gemfile since they are not needed for tests.
+ sed -i -e '/jeweler/d' -e '/bump/d' -e '/appraisal/d' Gemfile || die
+
+ # Avoid unneeded dependency on git and development dependencies.
+ sed -e '/git ls-files/ s:^:#:' \
+ -e '/\(wwtd\|bump\|sqlite3\|activerecord\|i18n\)/ s:^:#:' \
+ -i fast_gettext.gemspec || die
+
+ # Avoid a test dependency on activerecord since this is now in the
+ # dependency tree for app-admin/puppet and many arches don't have
+ # rails keyworded.
+ sed -i -e '/active_record/ s:^:#:' spec/spec_helper.rb || die
+ rm -f spec/fast_gettext/translation_repository/db_spec.rb || die
+ sed -i -e '/works with DB repository/,/^ end/ s:^:#:' spec/fast_gettext/storage_spec.rb || die
+ sed -i -e '/with i18n loaded/,/^ end/ s:^:#:' spec/fast_gettext/vendor/string_spec.rb || die
+
+ # Don't run a test that requires safe mode which we can't provide
+ # due to insecure directory settings for the portage dir. This spec
+ # also calls out to ruby which won't work with different ruby
+ # implementations.
+ sed -i -e '/can work in SAFE mode/,/^ end/ s:^:#:' spec/fast_gettext/translation_repository/mo_spec.rb || die
+}
+
+each_ruby_prepare() {
+ # Make sure the right ruby interpreter is used
+ sed -i -e "s:bundle exec ruby:bundle exec ${RUBY}:" spec/fast_gettext/vendor/*spec.rb || die
+}